utl::meta::detail::is_applicable_< F, T > Struct Template Reference

`#include <invoke.h>`

## Public Types

using | type = decltype(check< F >(0))

## Static Public Member Functions

template<template< typename... > class G, typename = G<T...>>
static true_ | check (int)
template<template< typename... > class>
static false_ | check (...)

## Detailed Description

### template<template< typename... > class F, typename... T>
struct utl::meta::detail::is_applicable_< F, T >

Definition at line 119 of file invoke.h.

## Member Typedef Documentation

## type

template<template< typename... > class F, typename... T>

using utl::meta::detail::is_applicable_< F, T >::type = decltype(check<F>(0))

Examples:
  W:/Work/Software/Libraries/utl/include/utl/meta/invoke.h.

Definition at line 125 of file invoke.h.

## Member Function Documentation

## check() [1/2]

template<template< typename... > class F, typename... T>
template<template< typename... > class G, typename = G<T...>>

static true_ utl::meta::detail::is_applicable_< F, T >::check | ( | int |  | ) |

static

Examples:
  W:/Work/Software/Libraries/utl/include/utl/meta/invoke.h.

## check() [2/2]

template<template< typename... > class F, typename... T>
template<template< typename... > class>

static false_ utl::meta::detail::is_applicable_< F, T >::check | ( |  | ... | ) |

static

The documentation for this struct was generated from the following file:

- include/utl/meta/invoke.h